RCS message

RCS message is the channel API that supports rich messages with buttons, cards, and images.

Send a unified RCS message

POST/api/comm/v1/send/omni

Unified RCS is a send method that supports both iOS and Android. Unless you are maintaining an existing integration, review the difference between unified RCS and Android RCS and prefer unified RCS.

Body Parameters

{}JSON

destinations

RequiredObject Array

The array of recipient information. Up to 200 per broadcast send.

messageFlow

RequiredObject Array

When you add messages, they are handled in order as automatic failover messages.

paymentCode

String

The department code used for settlement.

groupKey

String

A key you set to group messages and review their statistics in Message Insight.

idempotencyKey

String

The idempotency key field that identifies the request for idempotency.

idempotencyTtl

Integer

The validity period of the idempotency key.

ref

String

A per-request reference field.

Returns

common

Object

The common response section.

data

Object

The service response section.

Request example

1curl -X POST "/api/comm/v1/send/omni" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "destinations": [{ "to": "01012345678" }],
6 "messageFlow": [{
7 "rcs": {
8 "from": "{senderNumber}",
9 "formatId": "RCS_FORMAT_ID",
10 "brandKey": "RCS_BRAND_KEY",
11 "body": {
12 "title": "통합 RCS 안내",
13 "description": "통합 RCS 본문입니다."
14 }
15 }
16 }],
17 "ref": "rcs-unified-20260331-001"
18 }'

Response example

1{
2 "common": {
3 "authCode": "A000",
4 "authResult": "Success",
5 "infobankTrId": "Infobank-Tracking-Id"
6 },
7 "data": {
8 "code": "A000",
9 "result": "SUCCESS",
10 "data": {
11 "destinations": [{
12 "to": "01012345678",
13 "msgKey": "20260424104234546POM101182450000",
14 "code": "A000",
15 "result": "Success"
16 }]
17 },
18 "ref": "rcs-unified-20260331-001"
19 }
20}

Reservation send

POST/api/comm/v1/reservation

Registers a unified RCS message to be sent at the specified time. The detailed fields you can send are the same as in the unified RCS send specification. After registering, see the Reservation management page for lookup, update, cancel, pause, resume, and recipient management.

Body Parameters

{}JSON

destinations

RequiredObject Array

The array of recipient information. Up to 200 per broadcast send.

messageFlow

RequiredObject Array

When you add messages, they are handled in order as automatic failover messages.

resvSendTime

RequiredString

The reservation send time.

resvName

String

A name that identifies the reservation.

ref

String

A per-request reference field.

Returns

common

Object

The common response section.

data

Object

The reservation registration response section.

Request example

1curl -X POST "https://mars.ibapi.kr/api/comm/v1/reservation" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "destinations": [{
6 "to": "01000000000"
7 }],
8 "messageFlow": [{
9 "rcs": {
10 "from": "{senderNumber}",
11 "formatId": "RCS_FORMAT_ID",
12 "brandKey": "RCS_BRAND_KEY",
13 "body": {
14 "title": "통합 RCS 예약 안내",
15 "description": "지정한 시각에 발송되는 통합 RCS 메시지입니다."
16 },
17 "expiryOption": "1"
18 }
19 }],
20 "resvSendTime": "2026-05-01 10:00:00",
21 "resvName": "통합 RCS 예약 발송",
22 "ref": "rcs-resv-20260501-001"
23 }'

Response example

1{
2 "common": {
3 "authCode": "A000",
4 "authResult": "Success",
5 "infobankTrId": "Infobank-Tracking-Id"
6 },
7 "data": {
8 "code": "A000",
9 "result": "Success",
10 "resvKey": "20260501100000RESV0000000001"
11 }
12}

Send an Android RCS message

POST/api/comm/v1/send/omni

Use Android RCS when you need to keep an existing Android Chat+ integration. Before starting a new integration, first review the difference between unified RCS and Android RCS.

Body Parameters

{}JSON

destinations

RequiredObject Array

The array of recipient information. Up to 200 per broadcast send.

messageFlow

RequiredObject Array

When you add messages, they are handled in order as automatic failover messages.

paymentCode

String

The department code used for settlement.

groupKey

String

A key you set to group messages and review their statistics in Message Insight.

idempotencyKey

String

The idempotency key field that identifies the request for idempotency.

idempotencyTtl

Integer

The validity period of the idempotency key.

ref

String

A per-request reference field.

Returns

common

Object

The common response section.

data

Object

The service response section.

Request example

1curl -X POST "/api/comm/v1/send/omni" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "destinations": [{ "to": "01012345678" }],
6 "messageFlow": [{
7 "rcs": {
8 "from": "{senderNumber}",
9 "formatId": "RCS_FORMAT_ID",
10 "brandKey": "RCS_BRAND_KEY",
11 "body": {
12 "title": "RCS 안내",
13 "description": "안드로이드 RCS 메시지입니다."
14 }
15 }
16 }],
17 "ref": "rcs-android-20260331-001"
18 }'

Response example

1{
2 "common": {
3 "authCode": "A000",
4 "authResult": "Success",
5 "infobankTrId": "Infobank-Tracking-Id"
6 },
7 "data": {
8 "code": "A000",
9 "result": "SUCCESS",
10 "data": {
11 "destinations": [{
12 "to": "01012345678",
13 "msgKey": "20260424104234546POM101182450000",
14 "code": "A000",
15 "result": "Success"
16 }]
17 },
18 "ref": "rcs-android-20260331-001"
19 }
20}

Upload an image

POST/api/comm/v1/file/rcs

Upload the image before sending the RCS message, then put the issued media value in messageFlow[].rcs.body.media.

Body Parameters

FORM-DATA

file

RequiredBinary

The RCS image file to upload.

Returns

common

Object

The common response section.

data

Object

The service response section.

Request example

1curl -X POST "https://mars.ibapi.kr/api/comm/v1/file/rcs" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: multipart/form-data" \
4 -F "file=@/path/to/rcs-image.jpg"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "media":"maapfile://clientId_c70626a6917a452a8faec8509e93065e",
12 "expired":"2027-04-24T12:16:38+09:00"
13 }
14 }
15}

Manage brands

Look up brand details

GET/api/comm/v1/center/rcs/brand

Looks up RCS brand details by brandId.

Query Parameters

brandId

RequiredString

The brand ID to look up.

Returns

common

Object

The common response section.

data

Object

The API result section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/brand?brandId={brandId}" \
2 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "brandId":"{brandId}",
13 "name":"{name}",
14 "brandKey":"{brandKey}",
15 "status":"ready"
16 }
17 }
18 }
19}

Update a brand

PUT/api/comm/v1/center/rcs/brand

Updates the brand's basic information and images.

Body Parameters

FORM-DATA

brandId

RequiredString

The brand ID to update.

regBrand

RequiredObject

The brand update information.

brandProfile

Binary

The brand profile image file.

brandBackground

Binary

The brand background image file.

seasonDocFile

Binary

The seasonal supporting document file.

Returns

common

Object

The common response section.

data

Object

The API result section.

Request example

1curl -X PUT "https://mars.ibapi.kr/api/comm/v1/center/rcs/brand" \
2 -H "Authorization: {ApiKey}" \
3 -F "brandId={brandId}" \
4 -F 'regBrand={
5 "name": "비즈고",
6 "description": "브랜드 소개 문구",
7 "tel": "0212345678",
8 "webSiteUrl": "https://www.example.com"
9 }' \
10 -F "brandProfile=@brand-profile.png"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "brandId":"{brandId}",
13 "name":"{name}",
14 "brandKey":"{brandKey}",
15 "status":"ready"
16 }
17 }
18 }
19}

Manage chatrooms

A chatroom (chatbot) belongs to a brand and is the unit that actually exchanges messages. Use these APIs to look up and update the chatroom information under a brand, or to cancel an approval request and delete it.

Look up the chatroom list

GET/api/comm/v1/center/rcs/chatbot/list

Looks up the RCS chat rooms registered under a brand ID.

Query Parameters

brandId

RequiredString

The brand ID to look up.

offset

Integer

The lookup start offset.

limit

Integer

The maximum number of records to look up.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/chatbot/list?brandId={brandId}&offset=0&limit=1000" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 },
22 {
23 "chatbotId":"{chatbotId2}",
24 "brandId":"{brandId}",
25 "mdn":"0287654321",
26 "subTitle":"주문 안내 대화방",
27 "status":"ready",
28 "approvalResult":"approved",
29 "registerDate":"2026-07-20 09:00:00"
30 }
31 ]
32 }
33 }
34 }
35}

Look up chatroom details

GET/api/comm/v1/center/rcs/chatbot

Looks up RCS chat room details by brand ID and chat room ID.

Query Parameters

brandId

RequiredString

The brand ID to look up.

chatbotId

RequiredString

The chat room ID to look up.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/chatbot?brandId={brandId}&chatbotId={chatbotId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 }
22 ]
23 }
24 }
25 }
26}

Update a chatroom

PUT/api/comm/v1/center/rcs/chatbot

Updates a registered RCS chat room. Send the chat room information as a JSON string and the additional-number proof document as a file.

Body Parameters

brandId

RequiredString

The ID of the brand the chat room to update belongs to.

chatbot

RequiredString

A JSON string containing the chat room information to update.

subNumCertificate

RequiredBinary

The document file that proves use of the additional number.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X PUT "https://mars.ibapi.kr/api/comm/v1/center/rcs/chatbot" \
2 -H "Authorization: {ApiKey}" \
3 -F "brandId={brandId}" \
4 -F 'chatbot={
5 "chatbotId": "{chatbotId}",
6 "subTitle": "고객센터 대화방",
7 "subDescr": "주문/배송 문의 대화방입니다",
8 "webhook": "https://example.com/rcs/webhook"
9 }' \
10 -F "subNumCertificate=@/path/sub-num-certificate.pdf"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 }
22 ]
23 }
24 }
25 }
26}

Cancel chatroom approval

PUT/api/comm/v1/center/rcs/brandId/{brandId}/chatbotId/{chatbotId}/cancel

Cancels the approval request for an RCS chat room under review.

Path Parameters

brandId

RequiredString

The brand ID.

chatbotId

RequiredString

The chat room ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X PUT "https://mars.ibapi.kr/api/comm/v1/center/rcs/brandId/{brandId}/chatbotId/{chatbotId}/cancel" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 }
22 ]
23 }
24 }
25 }
26}

Delete a chatroom

DELETE/api/comm/v1/center/rcs/brandId/{brandId}/chatbotId/{chatbotId}

Deletes a registered RCS chat room.

Path Parameters

brandId

RequiredString

The brand ID.

chatbotId

RequiredString

The chat room ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X DELETE "https://mars.ibapi.kr/api/comm/v1/center/rcs/brandId/{brandId}/chatbotId/{chatbotId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 }
22 ]
23 }
24 }
25 }
26}

Look up the available queries

GET/api/comm/v1/center/rcs/usableQuery/chatbotId/{chatbotId}

Looks up the queries available for a chat room by its chat room ID.

Path Parameters

chatbotId

RequiredString

The chat room ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/usableQuery/chatbotId/{chatbotId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "chatbot": [
13 {
14 "chatbotId":"{chatbotId}",
15 "brandId":"{brandId}",
16 "mdn":"0212345678",
17 "subTitle":"고객센터 대화방",
18 "status":"ready",
19 "approvalResult":"approved",
20 "registerDate":"2026-07-21 10:00:00"
21 }
22 ]
23 }
24 }
25 }
26}

Manage common formats

Look up common formats

GET/api/comm/v1/center/rcs/messagebase/common/list

Looks up the common formats available for RCS.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/common/list" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messageForms": [
13 {
14 "messagebaseformId":"RPISMTX002",
15 "formName":"모바일 상품권 전송 T",
16 "bizCondition": [],
17 "cardType":"standalone media top",
18 "registerDate":"2026-02-05T17:59:20",
19 "updateDate":"2026-02-05T18:37:56"
20 }
21 ]
22 }
23 }
24 }
25}

Look up common format details

GET/api/comm/v1/center/rcs/messagebase/common

Looks up RCS common format details by message base ID.

Query Parameters

messagebaseId

RequiredString

The message base ID to look up.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/common?messagebaseId={messagebaseId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messageForm": {
13 "formatId":"RPTDXXX001",
14 "templateName":"통합 정보형 템플릿",
15 "body": [],
16 "buttons": {
17 "suggestions": []
18 },
19 "policyInfo": {
20 "buttonsAllowed": true,
21 "maxButtonCount": 2
22 }
23 }
24 }
25 }
26 }
27}

Manage templates

Look up the template form list

GET/api/comm/v1/center/rcs/messagebase/messagebaseform/list

Looks up the template forms available for registering an RCS template.

Query Parameters

offset

Integer

The lookup start offset.

limit

Integer

The maximum number of records to look up.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/messagebaseform/list?offset=0&limit=100" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messageForms": [
13 {
14 "messagebaseformId":"RPISMTX002",
15 "formName":"모바일 상품권 전송 T",
16 "bizCondition": [],
17 "cardType":"standalone media top"
18 }
19 ]
20 }
21 }
22 }
23}

Look up template form details

GET/api/comm/v1/center/rcs/messagebase/messagebaseform

Looks up template form details by template form ID.

Query Parameters

messagebaseformId

RequiredString

The message form ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/messagebaseform?messagebaseformId={messagebaseformId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messageForm": {
13 "formatId":"RPTDXXX001",
14 "templateName":"통합 정보형 템플릿",
15 "body": [],
16 "buttons": []
17 }
18 }
19 }
20 }
21}

Look up the template list

GET/api/comm/v1/center/rcs/messagebase/list

Looks up the RCS templates registered under a brand ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/list" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "templates": [
13 {
14 "messagebaseId":"{messagebaseId}",
15 "formatId":"RPTDXXX001",
16 "templateName":"통합 정보형 템플릿",
17 "status":"ready",
18 "approvalResult":"approved"
19 }
20 ]
21 }
22 }
23 }
24}

Look up template details

GET/api/comm/v1/center/rcs/messagebase

Looks up registered RCS template details by message base ID.

Query Parameters

messagebaseId

RequiredString

The message base ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase?messagebaseId={messagebaseId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "status":"ready",
13 "approvalResult":"승인",
14 "approvalReason":"승인완료",
15 "registerDate":"2026-04-08T10:00:00",
16 "approvalDate":"2026-04-08T11:00:00",
17 "updateDate":"2026-04-08T11:00:00",
18 "registerId":"example_id",
19 "updateId":"example_id",
20 "productCode":"lms",
21 "spec":"openrichcard",
22 "cardType":"descriptionNew",
23 "body": {
24 "description":"#{이름}, 안녕하세요.\n신청하신 내용을 안내드립니다.\n\n◼︎항목: #{항목명}\n◼︎일시: #{일시}\n\n자세한 내용은 아래에서 확인해 주세요.\nhttps://example.com/#{URL}\n\n본 메시지는 신청자에게 전달되는 정보성 메시지입니다.",
25 "mTitle":"안내 메시지",
26 "title":"안내 메시지"
27 },
28 "brandKey":"BK.EXAMPLE0000000000",
29 "formatId":"LBR.EXAMPLE0000000000000000000000000000"
30 }
31 }
32 }
33}

Register a template

POST/api/comm/v1/center/rcs/messagebase

Registers an RCS template for the brand.

Body Parameters

rcs

RequiredObject

The RCS template request information.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X POST "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}" \
4 -d '{
5 "rcs": {
6 "brandId": "{brandId}",
7 "templateName": "발송 안내 템플릿",
8 "body": [],
9 "buttons": []
10 }
11}'

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messagebaseId":"{messagebaseId}"
13 }
14 }
15 }
16}

Update a template

PUT/api/comm/v1/center/rcs/messagebase

Updates a registered RCS template.

Body Parameters

rcs

RequiredObject

The RCS template request information.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X PUT "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}" \
4 -d '{
5 "rcs": {
6 "brandId": "{brandId}",
7 "templateName": "발송 안내 템플릿",
8 "body": [],
9 "buttons": []
10 }
11}'

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messagebaseId":"{messagebaseId}"
13 }
14 }
15 }
16}

Cancel template approval

PUT/api/comm/v1/center/rcs/brandId/{brandId}/messagebaseId/{messagebaseId}/cancel

Cancels the approval request for an RCS template under review.

Path Parameters

brandId

RequiredString

The brand ID.

messagebaseId

RequiredString

The message base ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X PUT "https://mars.ibapi.kr/api/comm/v1/center/rcs/brandId/{brandId}/messagebaseId/{messagebaseId}/cancel" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messagebaseId":"{messagebaseId}"
13 }
14 }
15 }
16}

Delete a template

DELETE/api/comm/v1/center/rcs/brandId/{brandId}/messagebaseId/{messagebaseId}

Deletes a registered RCS template.

Path Parameters

brandId

RequiredString

The brand ID.

messagebaseId

RequiredString

The message base ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X DELETE "https://mars.ibapi.kr/api/comm/v1/center/rcs/brandId/{brandId}/messagebaseId/{messagebaseId}" \
2 -H "Content-Type: application/json" \
3 -H "Authorization: {ApiKey}"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "messagebaseId":"{messagebaseId}"
13 }
14 }
15 }
16}

Manage template images

Register a template image

POST/api/comm/v1/center/rcs/messagebase/file

Uploads an image for registering an RCS template and issues a template file ID.

Body Parameters

FORM-DATA

brandId

RequiredString

The brand ID.

file

RequiredBinary

The binary of the image file used to register the template.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X POST "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/file" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: multipart/form-data" \
4 -F "brandId={brandId}" \
5 -F "file=@/path/to/template-image.jpg"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "image": {
13 "fileId":"{fileId}",
14 "fileName":"template-image.jpg",
15 "imageWidth": 900,
16 "imageHeight": 900
17 }
18 }
19 }
20 }
21}

Look up template image details

GET/api/comm/v1/center/rcs/messagebase/file

Looks up template image details by brand ID and template file ID.

Query Parameters

brandId

RequiredString

The brand ID.

fileId

RequiredString

The template file ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/file?brandId={brandId}&fileId={fileId}" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "image": {
13 "fileId":"{fileId}",
14 "fileName":"template-image.jpg",
15 "imageWidth": 900,
16 "imageHeight": 900
17 }
18 }
19 }
20 }
21}

Look up template form logo images

GET/api/comm/v1/center/rcs/messagebase/messagebaseform/logo

Looks up the logo images available for a template form by its template form ID.

Query Parameters

messagebaseformId

RequiredString

The message form ID.

Returns

common

Object

The common response section.

data

Object

The product response section.

Request example

1curl -X GET "https://mars.ibapi.kr/api/comm/v1/center/rcs/messagebase/messagebaseform/logo?messagebaseformId={messagebaseformId}" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json"

Response example

1{
2 "common": {
3 "authCode":"A000",
4 "authResult":"Success",
5 "infobankTrId":"header-value-X-Infobank-Tracking-Id"
6 },
7 "data": {
8 "code":"A000",
9 "result":"Success",
10 "data": {
11 "rcs": {
12 "images": [
13 {
14 "fileId":"{fileId}",
15 "fileName":"template-logo.png",
16 "imageWidth": 900,
17 "imageHeight": 900
18 }
19 ]
20 }
21 }
22 }
23}